GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentValidationResult Class Reference

## Public Member Functions
List< ValidationIssue > | getIssues ()

## Protected Attributes
List< ValidationIssue > | issues

## Detailed Description

Data being returned from validateShipment request

Java class for ShipmentValidationResult complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ShipmentValidationResult">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Issues" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ValidationIssue" maxOccurs="unbounded" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 40 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentValidationResult.java.

## Member Function Documentation

## ◆ getIssues()

List<ValidationIssue> eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentValidationResult.getIssues | ( |  | ) |

Gets the value of the issues property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the issues property.

For example, to add a new item, do as follows:

       getIssues().add(newItem);

Objects of the following type(s) are allowed in the list ValidationIssue

Definition at line 67 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentValidationResult.java.

## Member Data Documentation

## ◆ issues

List<ValidationIssue> eu.gls_group.fpcs.v1.shipmentprocessing.types.ShipmentValidationResult.issues
| protected

Definition at line 43 of file gls_group/fpcs/v1/shipmentprocessing/types/ShipmentValidationResult.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/ShipmentValidationResult.java